Index: LMDZ5/branches/testing/libf/phylmd/cv3_routines.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/cv3_routines.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/phylmd/cv3_routines.F90	(revision 2641)
@@ -238,7 +238,8 @@
 ! gz = phi at the full levels (same as p).
 
-  DO i = 1, len
-    gz(i, 1) = 0.0
-  END DO
+!!  DO i = 1, len                    !jyg
+!!    gz(i, 1) = 0.0                 !jyg
+!!  END DO                           !jyg
+    gz(:,:) = 0.                     !jyg: initialization of the whole array
 ! ori      do 140 k=2,nlp
   DO k = 2, nl ! convect3
@@ -409,5 +410,9 @@
     IF (ok_new_feed) THEN
       IF (iter==niter) THEN
-        DO k = minorig, nl
+        DO i = 1,len                         !jyg
+          pfeedmin(i) = ph(i,minorig+1)      !jyg
+        ENDDO                                !jyg
+        DO k = minorig+1, nl                 !jyg
+!!        DO k = minorig, nl                 !jyg
           DO i = 1, len
             IF (ph(i,k)>=plclfeed(i)) pfeedmin(i) = ph(i, k)
@@ -1055,4 +1060,5 @@
                          p, ph, h, tv, lv, lf, pbase, buoybase, plcl, &
                          inb, tp, tvp, clw, hp, ep, sigp, buoy, frac)
+  USE print_control_mod, ONLY: prt_level
   IMPLICIT NONE
 
@@ -1113,4 +1119,9 @@
   REAL fracg
   REAL deltap
+
+  IF (prt_level >= 10) THEN
+    print *,'cv3_undilute2.0. t(1,k), q(1,k), qs(1,k) ', &
+                        (k, t(1,k), q(1,k), qs(1,k), k = 1,nl)
+  ENDIF
 
 ! =====================================================================
@@ -1299,4 +1310,9 @@
     END DO
   END DO
+
+  IF (prt_level >= 10) THEN
+    print *,'cv3_undilute2.1. tp(1,k), tvp(1,k) ', &
+                          (k, tp(1,k), tvp(1,k), k = 1,nl)
+  ENDIF
 
 ! =====================================================================
Index: LMDZ5/branches/testing/libf/phylmd/cva_driver.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/cva_driver.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/phylmd/cva_driver.F90	(revision 2641)
@@ -144,4 +144,5 @@
 ! ep1           Real           Output    
 ! sigij1        Real           Output     used in tracer transport (cvltr)
+! clw1          Real           Output   condensed water content of the adiabatic updraught
 ! elij1         Real           Output
 ! wghti1        Real           Output   final weight of the feeding layers,
@@ -254,4 +255,5 @@
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: evap1, ep1
   REAL, DIMENSION (len, nd, nd), INTENT (OUT)        :: sigij1, elij1
+  REAL, DIMENSION (len, nd), INTENT (OUT)            :: clw1
 !JYG,RL
   REAL, DIMENSION (len, nd), INTENT (OUT)            :: wghti1      ! final weight of the feeding layers
@@ -424,5 +426,4 @@
   REAL h1(klon, klev), h1_wake(klon, klev)
   REAL tp1(klon, klev)
-  REAL clw1(klon, klev)
   REAL th1(klon, klev), th1_wake(klon, klev)
 
@@ -650,4 +651,5 @@
   sigij1(:, :, :) = 0.
   elij1(:, :, :) = 0.
+  clw1(:,:) = 0.
   wghti1(:,:) = 0.
   phi21(:, :, :) = 0.
@@ -673,8 +675,12 @@
     END IF
 ! print*,'t1, q1 ',t1,q1
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv3_prelim'
     CALL cv3_prelim(len, nd, ndp1, t1, q1, p1, ph1, &           ! nd->na
                     lv1, lf1, cpn1, tv1, gz1, h1, hm1, th1)
 
 
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv3_prelim'
     CALL cv3_prelim(len, nd, ndp1, t1_wake, q1_wake, p1, ph1, & ! nd->na
                     lv1_wake, lf1_wake, cpn1_wake, tv1_wake, gz1_wake, &
@@ -685,4 +691,6 @@
   IF (iflag_con==4) THEN
     PRINT *, 'Emanuel version 4 '
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv_prelim'
     CALL cv_prelim(len, nd, ndp1, t1, q1, p1, ph1, &
                    lv1, cpn1, tv1, gz1, h1, hm1)
@@ -728,4 +736,6 @@
 ! write(*,'(64i1)') iflag1(2:klon-1)
 
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv3_feed'
     CALL cv3_feed(len, nd, ok_conserv_q, &                 ! nd->na
                   t1, q1, u1, v1, p1, ph1, hm1, gz1, & 
@@ -740,4 +750,6 @@
 
   IF (iflag_con==4) THEN
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv_feed'
     CALL cv_feed(len, nd, t1, q1, qs1, p1, hm1, gz1, &
                  nk1, icb1, icbmax, iflag1, tnk1, qnk1, gznk1, plcl1)
@@ -755,4 +767,6 @@
   IF (iflag_con==3) THEN
 
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv3_undilute1'
     CALL cv3_undilute1(len, nd, t1, qs1, gz1, plcl1, p1, icb1, tnk1, qnk1, & ! nd->na
                        gznk1, tp1, tvp1, clw1, icbs1)
@@ -761,4 +775,6 @@
 
   IF (iflag_con==4) THEN
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv_undilute1'
     CALL cv_undilute1(len, nd, t1, q1, qs1, gz1, p1, nk1, icb1, icbmax, &
                       tp1, tvp1, clw1)
@@ -773,4 +789,6 @@
   IF (iflag_con==3) THEN
 
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv3_trigger'
     CALL cv3_trigger(len, nd, icb1, plcl1, p1, th1, tv1, tvp1, thnk1, & ! nd->na
                       pbase1, buoybase1, iflag1, sig1, w01)
@@ -785,4 +803,6 @@
 
   IF (iflag_con==4) THEN
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv_trigger'
     CALL cv_trigger(len, nd, icb1, cbmf1, tv1, tvp1, iflag1)
   END IF
@@ -831,4 +851,6 @@
 !
 !>jyg
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv3a_compress'
       CALL cv3a_compress(len, nloc, ncum, nd, ntra, compress, &
                          iflag1, nk1, icb1, icbs1, &
@@ -859,4 +881,6 @@
 
     IF (iflag_con==4) THEN
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv_compress'
       CALL cv_compress(len, nloc, ncum, nd, &
                        iflag1, nk1, icb1, &
@@ -881,4 +905,6 @@
 
     IF (iflag_con==3) THEN
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv3_undilute2'
       CALL cv3_undilute2(nloc, ncum, nd, icb, icbs, nk, &              !na->nd
                          tnk, qnk, gznk, hnk, t, q, qs, gz, &
@@ -889,4 +915,6 @@
 
     IF (iflag_con==4) THEN
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv_undilute2'
       CALL cv_undilute2(nloc, ncum, nd, icb, nk, &
                         tnk, qnk, gznk, t, q, qs, gz, &
@@ -897,4 +925,6 @@
     ! epmax_cape
     ! on recalcule ep et hp    
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv3_epmax_cape'
     call cv3_epmax_fn_cape(nloc,ncum,nd &
                 , ep,hp,icb,inb,clw,nk,t,h,hnk,lv,lf,frac &
@@ -913,4 +943,6 @@
       IF (iflag_mix>=1) THEN
         CALL zilch(supmax, nloc*klev)
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv3p_mixing'
         CALL cv3p_mixing(nloc, ncum, nd, nd, ntra, icb, nk, inb, &           ! na->nd
                          ph, t, q, qs, u, v, tra, h, lv, lf, frac, qnk, &
@@ -931,4 +963,6 @@
     IF (iflag_con==3) THEN
       IF (iflag_clos==0) THEN
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv3_closure'
         CALL cv3_closure(nloc, ncum, nd, icb, inb, &           ! na->nd
                          pbase, p, ph, tv, buoy, &
@@ -947,4 +981,6 @@
 
       IF (iflag_clos==2) THEN
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv3p1_closure'
         CALL cv3p1_closure(nloc, ncum, nd, icb, inb, &         ! na->nd
                            pbase, plcl, p, ph, tv, tvp, buoy, &
@@ -958,4 +994,6 @@
 
       IF (iflag_clos==3) THEN
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv3p2_closure'
         CALL cv3p2_closure(nloc, ncum, nd, icb, inb, &         ! na->nd
                            pbase, plcl, p, ph, tv, tvp, buoy, &
@@ -970,4 +1008,6 @@
 
     IF (iflag_con==4) THEN
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv_closure'
       CALL cv_closure(nloc, ncum, nd, nk, icb, &
                          tv, tvp, p, ph, dph, plcl, cpn, &
@@ -983,4 +1023,6 @@
     IF (iflag_con==3) THEN
       IF (iflag_mix==0) THEN
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv3_mixing'
         CALL cv3_mixing(nloc, ncum, nd, nd, ntra, icb, nk, inb, &             ! na->nd
                         ph, t, q, qs, u, v, tra, h, lv, lf, frac, qnk, &
@@ -997,4 +1039,6 @@
 
     IF (iflag_con==4) THEN
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv_mixing'
       CALL cv_mixing(nloc, ncum, nd, icb, nk, inb, inbis, &
                      ph, t, q, qs, u, v, h, lv, qnk, &
@@ -1018,4 +1062,6 @@
       END IF !(debut) THEN
 
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv3_unsat'
       CALL cv3_unsat(nloc, ncum, nd, nd, ntra, icb, inb, iflag, &              ! na->nd
                      t_wake, q_wake, qs_wake, gz, u, v, tra, p, ph, &
@@ -1044,4 +1090,6 @@
 
     IF (iflag_con==4) THEN
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv_unsat'
       CALL cv_unsat(nloc, ncum, nd, inb, t, q, qs, gz, u, v, p, ph, &
                      h, lv, ep, sigp, clw, m, ment, elij, &
@@ -1063,4 +1111,6 @@
     IF (iflag_con==3) THEN
 
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv3_yield'
       CALL cv3_yield(nloc, ncum, nd, nd, ntra, ok_conserv_q, &                      ! na->nd
                      icb, inb, delt, &
@@ -1092,4 +1142,6 @@
 
     IF (iflag_con==4) THEN
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv_yield'
       CALL cv_yield(nloc, ncum, nd, nk, icb, inb, delt, &
                      t, q, u, v, &
@@ -1110,4 +1162,6 @@
     IF (iflag_con==3) THEN
 !RomP >>>
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv3_tracer'
       CALL cv3_tracer(nloc, len, ncum, nd, nd, &
                      ment, sigij, da, phi, phi2, d1a, dam, &
@@ -1125,4 +1179,6 @@
 
     IF (iflag_con==3) THEN
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv3a_uncompress'
       CALL cv3a_uncompress(nloc, len, ncum, nd, ntra, idcum, compress, &
                            iflag, icb, inb, &
@@ -1155,4 +1211,6 @@
 
     IF (iflag_con==4) THEN
+        if (prt_level >= 9) &
+             PRINT *, 'cva_driver -> cv_uncompress'
       CALL cv_uncompress(nloc, len, ncum, nd, idcum, &
                            iflag, &
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/1DUTILS.h
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/1DUTILS.h	(revision 2595)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/1DUTILS.h	(revision 2641)
@@ -435,4 +435,7 @@
       USE infotrac
       use control_mod
+      USE comconst_mod, ONLY: im, jm, lllm
+      USE logic_mod, ONLY: fxyhypb, ysinus
+      USE temps_mod, ONLY: annee_ref, day_ini, day_ref, itau_dyn
 
       IMPLICIT NONE
@@ -443,8 +446,5 @@
 !   -------------
       include "dimensions.h"
-      include "comconst.h"
-      include "temps.h"
 !!#include "control.h"
-      include "logic.h"
       include "netcdf.inc"
 
@@ -579,4 +579,7 @@
       USE infotrac
       use control_mod
+      USE comconst_mod, ONLY: cpp, daysec, dtvr, g, kappa, omeg, rad
+      USE logic_mod, ONLY: fxyhypb, ysinus
+      USE temps_mod, ONLY: annee_ref,day_end,day_ref,itau_dyn,itaufin
 
       IMPLICIT NONE
@@ -587,8 +590,5 @@
 !   -------------
       include "dimensions.h"
-      include "comconst.h"
-      include "temps.h"
 !!#include "control.h"
-      include "logic.h"
       include "netcdf.inc"
 
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/comconst_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/comconst_mod.F90	(revision 2641)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/comconst_mod.F90	(revision 2641)
@@ -0,0 +1,1 @@
+link ../../dyn3d_common/comconst_mod.F90
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/comvert_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/comvert_mod.F90	(revision 2641)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/comvert_mod.F90	(revision 2641)
@@ -0,0 +1,1 @@
+link ../../dyn3d_common/comvert_mod.F90
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/lmdz1d.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/lmdz1d.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/lmdz1d.F90	(revision 2641)
@@ -16,17 +16,17 @@
        ftsol, pbl_tke, pctsrf, radsol, rain_fall, snow_fall, ratqs, &
        rnebcon, rugoro, sig1, w01, solaire_etat0, sollw, sollwdown, &
-       solsw, t_ancien, q_ancien, u_ancien, v_ancien, wake_cstar, wake_deltaq, &
-       wake_deltat, wake_delta_pbl_TKE, delta_tsurf, wake_fip, wake_pe, &
-       wake_s, zgam, &
-       zmax0, zmea, zpic, zsig, &
+       solsw, t_ancien, q_ancien, u_ancien, v_ancien, wake_cstar, &
+       wake_delta_pbl_TKE, delta_tsurf, wake_fip, wake_pe, &
+       wake_deltaq, wake_deltat, wake_s, wake_dens, &
+       zgam, zmax0, zmea, zpic, zsig, &
        zstd, zthe, zval, ale_bl, ale_bl_trig, alp_bl
-   use dimphy
-   use surface_data, only : type_ocean,ok_veget
-   use pbl_surface_mod, only : ftsoil, pbl_surface_init,                     &
-     &                            pbl_surface_final
-      use fonte_neige_mod, only : fonte_neige_init, fonte_neige_final 
-
-   use infotrac ! new
-   use control_mod
+   USE dimphy
+   USE surface_data, only : type_ocean,ok_veget
+   USE pbl_surface_mod, only : ftsoil, pbl_surface_init, &
+                                 pbl_surface_final
+   USE fonte_neige_mod, only : fonte_neige_init, fonte_neige_final 
+
+   USE infotrac ! new
+   USE control_mod
    USE indice_sol_mod
    USE phyaqua_mod
@@ -37,9 +37,12 @@
    USE mod_const_mpi, ONLY: comm_lmdz
    USE physiq_mod, ONLY: physiq
+   USE comvert_mod, ONLY: presnivs, ap, bp, dpres,nivsig, nivsigs, pa, &
+                          preff
+   USE temps_mod, ONLY: annee_ref, calend, day_end, day_ini, day_ref, &
+                        itau_dyn, itau_phy, start_time
 
       implicit none
 #include "dimensions.h"
 #include "YOMCST.h"
-#include "temps.h"
 !!#include "control.h"
 #include "clesphys.h"
@@ -47,5 +50,4 @@
 !#include "indicesol.h"
 
-#include "comvert.h"
 #include "compar1d.h"
 #include "flux_arp.h"
@@ -246,7 +248,13 @@
       integer jcode
       INTEGER read_climoz 
+!
+      integer :: it_end ! iteration number of the last call
 !Al1
       integer ecrit_slab_oc !1=ecrit,-1=lit,0=no file
       data ecrit_slab_oc/-1/
+!
+!     if flag_inhib_forcing = 0, tendencies of forcing are added
+!                           <> 0, tendencies of forcing are not added
+      INTEGER :: flag_inhib_forcing = 0
 
 !=====================================================================
@@ -745,7 +753,9 @@
         pbl_tke(:,2,:)=1.e-2
         PRINT *, ' pbl_tke dans lmdz1d '
-       DO nsrf = 1,4
-         PRINT *,'pbl_tke(1,:,',nsrf,') ',pbl_tke(1,:,nsrf)
-       ENDDO
+        if (prt_level .ge. 5) then 
+         DO nsrf = 1,4
+           PRINT *,'pbl_tke(1,:,',nsrf,') ',pbl_tke(1,:,nsrf)
+         ENDDO
+        end if
 
 !>jyg
@@ -777,4 +787,5 @@
         wake_pe = 0.
         wake_s = 0.
+        wake_dens = 0.
         ale_bl = 0.
         ale_bl_trig = 0.
@@ -800,5 +811,6 @@
 ! t_ancien,q_ancien,,frugs(:,is_oce),clwcon(:,1),rnebcon(:,1),ratqs(:,1)
 ! run_off_lic_0,pbl_tke(:,1:klev,nsrf), zmax0,f0,sig1,w01
-! wake_deltat,wake_deltaq,wake_s,wake_cstar,wake_fip,wake_delta_pbl_tke(:,1:klev,nsrf)
+! wake_deltat,wake_deltaq,wake_s,wake_dens,wake_cstar,
+! wake_fip,wake_delta_pbl_tke(:,1:klev,nsrf)
 !
 ! NB2: The content of the startphy.nc file depends on some flags defined in
@@ -898,13 +910,15 @@
 !=====================================================================
            
-      do while(it.le.nint(fnday*day_step))
+      it_end = nint(fnday*day_step)
+!test JLD     it_end = 10
+      do while(it.le.it_end)
 
        if (prt_level.ge.1) then
          print*,'XXXXXXXXXXXXXXXXXXX ITAP,day,time=',                       &
-     &             it,day,time,nint(fnday*day_step),day_step
+     &             it,day,time,it_end,day_step
          print*,'PAS DE TEMPS ',timestep
        endif
 !Al1 demande de restartphy.nc
-       if (it.eq.nint(fnday*day_step)) lastcall=.True.
+       if (it.eq.it_end) lastcall=.True.
 
 !---------------------------------------------------------------------
@@ -936,4 +950,6 @@
          write(*,*) 'firstcall,lastcall,phis',                               &
      &               firstcall,lastcall,phis
+       end if
+       if (prt_level>=5) then
          write(*,'(a10,2a4,4a13)') 'BEFOR1 IT=','it','l',                   &
      &        'presniv','plev','play','phi'
@@ -950,14 +966,14 @@
 !---------------------------------------------------------------------
        call physiq(ngrid,llm, &
-	            firstcall,lastcall,timestep, &
-	            plev,play,phi,phis,presnivs, &
-	            u,v, rot, temp,q,omega2, &
-	            du_phys,dv_phys,dt_phys,dq,dpsrf)
-	        firstcall=.false.
-
-!---------------------------------------------------------------------
-! Listing output for debug prt_level>=1
-!---------------------------------------------------------------------
-        if (prt_level>=1) then
+                    firstcall,lastcall,timestep, &
+                    plev,play,phi,phis,presnivs, &
+                    u,v, rot, temp,q,omega2, &
+                    du_phys,dv_phys,dt_phys,dq,dpsrf)
+                firstcall=.false.
+
+!---------------------------------------------------------------------
+! Listing output for debug
+!---------------------------------------------------------------------
+        if (prt_level>=5) then
           write(*,'(a11,2a4,4a13)') 'AFTER1 IT=','it','l',                  &
      &        'presniv','plev','play','phi'
@@ -996,5 +1012,5 @@
         endif
 
-      IF (prt_level >= 1) print*, 'fcoriolis, xlat,mxcalc ', &
+      IF (prt_level >= 5) print*, 'fcoriolis, xlat,mxcalc ', &
                                    fcoriolis, xlat,mxcalc
 
@@ -1046,4 +1062,6 @@
 !! Increment state variables
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+    IF (flag_inhib_forcing == 0) then ! if tendency of forcings should be added
+
 ! pour les cas sandu et astex, on reclacule u,v,q,temp et teta dans 1D_nudge_sandu_astex.h
 ! au dessus de 700hpa, on relaxe vers les profils initiaux
@@ -1064,5 +1082,5 @@
      &               +d_q_nudge(1:mxcalc,:) )
 
-        if (prt_level.ge.1) then
+        if (prt_level.ge.3) then
           print *,                                                          &
      &    'physiq-> temp(1),dt_phys(1),d_th_adv(1),dt_cooling(1) ',         &
@@ -1111,4 +1129,6 @@
 !cc        q(1:mxcalc,2)=tmpvar(1:mxcalc)
 
+   END IF ! end if tendency of tendency should be added
+
 !---------------------------------------------------------------------
 !   Air temperature :
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/logic_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/logic_mod.F90	(revision 2641)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/logic_mod.F90	(revision 2641)
@@ -0,0 +1,1 @@
+link ../../dyn3d/logic_mod.F90
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/serre_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/serre_mod.F90	(revision 2641)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/serre_mod.F90	(revision 2641)
@@ -0,0 +1,1 @@
+link ../../dyn3d_common/serre_mod.F90
Index: LMDZ5/branches/testing/libf/phylmd/dyn1d/temps_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/dyn1d/temps_mod.F90	(revision 2641)
+++ LMDZ5/branches/testing/libf/phylmd/dyn1d/temps_mod.F90	(revision 2641)
@@ -0,0 +1,1 @@
+link ../../dyn3d/temps_mod.F90
Index: LMDZ5/branches/testing/libf/phylmd/fonte_neige_mod.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/fonte_neige_mod.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/phylmd/fonte_neige_mod.F90	(revision 2641)
@@ -34,4 +34,6 @@
   REAL, ALLOCATABLE, DIMENSION(:,:), PRIVATE  :: fqcalving_global
   !$OMP THREADPRIVATE(fqcalving_global)
+  REAL, ALLOCATABLE, DIMENSION(:), PRIVATE  :: runofflic_global
+  !$OMP THREADPRIVATE(runofflic_global)
 
 CONTAINS
@@ -105,4 +107,11 @@
     ENDIF
     fqcalving_global(:,:) = 0.0
+
+    ALLOCATE(runofflic_global(klon))
+    IF (error /= 0) THEN
+       abort_message='Pb allocation runofflic_global'
+       CALL abort_physic(modname,abort_message,1)
+    ENDIF
+    runofflic_global(:) = 0.0
 
 !****************************************************************************************
@@ -282,4 +291,10 @@
     ENDDO
 
+    IF (nisurf == is_lic) THEN
+    DO i = 1, knon
+       runofflic_global(knindex(i)) = run_off_lic(i)
+    ENDDO
+    ENDIF
+
   END SUBROUTINE fonte_neige
 !
@@ -307,4 +322,5 @@
     IF (ALLOCATED(fqfonte_global)) DEALLOCATE(fqfonte_global)
     IF (ALLOCATED(fqcalving_global)) DEALLOCATE(fqcalving_global)
+    IF (ALLOCATED(runofflic_global)) DEALLOCATE(runofflic_global)
 
   END SUBROUTINE fonte_neige_final
@@ -343,5 +359,6 @@
        fqcalving_out(:) = fqcalving_out(:) + fqcalving_global(:,nisurf)*pctsrf(:,nisurf)
     ENDDO
-    run_off_lic_out(:)=run_off_lic(:)
+
+    run_off_lic_out(:)=runofflic_global(:)
 
   END SUBROUTINE fonte_neige_get_vars
Index: LMDZ5/branches/testing/libf/phylmd/newmicro.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/newmicro.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/phylmd/newmicro.F90	(revision 2641)
@@ -17,4 +17,7 @@
   ! Auteur(s): Z.X. Li (LMD/CNRS) date: 19930910
   ! O.   Boucher (LMD/CNRS) mise a jour en 201212
+  ! I. Musat (LMD/CNRS) : prise en compte de la meme hypothese de recouvrement
+  !                       pour les nuages que pour le rayonnement rrtm via
+  !                       le parametre novlp de radopt.h : 20160721
   ! Objet: Calculer epaisseur optique et emmissivite des nuages
   ! ======================================================================
@@ -53,7 +56,10 @@
   include "radopt.h"
 
-  ! choix de l'hypothese de recouvrememnt nuageuse
-  LOGICAL random, maximum_random, maximum
-  PARAMETER (random=.FALSE., maximum_random=.TRUE., maximum=.FALSE.)
+  ! choix de l'hypothese de recouvrement nuageuse via radopt.h (IM, 19.07.2016)
+  ! !novlp=1: max-random
+  ! !novlp=2: maximum
+  ! !novlp=3: random
+! LOGICAL random, maximum_random, maximum
+! PARAMETER (random=.FALSE., maximum_random=.TRUE., maximum=.FALSE.)
 
   LOGICAL, SAVE :: first = .TRUE.
@@ -512,6 +518,6 @@
       reffclwtop(i) = 0.
       cldncl(i) = 0.
-      IF (random .OR. maximum_random) tcc(i) = 1.
-      IF (maximum) tcc(i) = 0.
+      IF (novlp.EQ.3 .OR. novlp.EQ.1) tcc(i) = 1.
+      IF (novlp.EQ.2) tcc(i) = 0.
     END DO
 
@@ -524,5 +530,5 @@
         IF (pcltau(i,k)>thres_tau .AND. pclc(i,k)>thres_neb) THEN
 
-          IF (maximum) THEN
+          IF (novlp.EQ.2) THEN
             IF (first) THEN
               WRITE (*, *) 'Hypothese de recouvrement: MAXIMUM'
@@ -533,5 +539,5 @@
           END IF
 
-          IF (random) THEN
+          IF (novlp.EQ.3) THEN
             IF (first) THEN
               WRITE (*, *) 'Hypothese de recouvrement: RANDOM'
@@ -542,5 +548,5 @@
           END IF
 
-          IF (maximum_random) THEN
+          IF (novlp.EQ.1) THEN
             IF (first) THEN
               WRITE (*, *) 'Hypothese de recouvrement: MAXIMUM_ &
@@ -567,5 +573,5 @@
       END DO ! loop over k
 
-      IF (random .OR. maximum_random) tcc(i) = 1. - tcc(i)
+      IF (novlp.EQ.3 .OR. novlp.EQ.1) tcc(i) = 1. - tcc(i)
 
     END DO ! loop over i
Index: LMDZ5/branches/testing/libf/phylmd/nuage.h
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/nuage.h	(revision 2595)
+++ LMDZ5/branches/testing/libf/phylmd/nuage.h	(revision 2641)
@@ -14,5 +14,5 @@
      &                  t_glace_min,exposant_glace,rei_min,rei_max,     &
      &                  tau_cld_cv,coefw_cld_cv,                        &
-     &                  iflag_t_glace,iflag_cloudth_vert,iflag_cld_cv,  &
-     &                  tmax_fonte_cv
+     &                  tmax_fonte_cv,                                  &
+     &                  iflag_t_glace,iflag_cloudth_vert,iflag_cld_cv
 !$OMP THREADPRIVATE(/nuagecom/)
Index: LMDZ5/branches/testing/libf/phylmd/phyetat0.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phyetat0.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/phylmd/phyetat0.F90	(revision 2641)
@@ -17,5 +17,5 @@
        solsw, t_ancien, u_ancien, v_ancien, w01, wake_cstar, wake_deltaq, &
        wake_deltat, wake_delta_pbl_TKE, delta_tsurf, wake_fip, wake_pe, &
-       wake_s, zgam, zmax0, zmea, zpic, zsig, &
+       wake_s, wake_dens, zgam, zmax0, zmea, zpic, zsig, &
        zstd, zthe, zval, ale_bl, ale_bl_trig, alp_bl, u10m, v10m
   USE geometry_mod, ONLY : longitude_deg, latitude_deg
@@ -378,5 +378,6 @@
   found=phyetat0_get(klev,wake_deltat,"WAKE_DELTAT","Delta T wake/env",0.)
   found=phyetat0_get(klev,wake_deltaq,"WAKE_DELTAQ","Delta hum. wake/env",0.)
-  found=phyetat0_get(1,wake_s,"WAKE_S","WAKE_S",0.)
+  found=phyetat0_get(1,wake_s,"WAKE_S","Wake frac. area",0.)
+  found=phyetat0_get(1,wake_dens,"WAKE_DENS","Wake num. /unit area",0.)
   found=phyetat0_get(1,wake_cstar,"WAKE_CSTAR","WAKE_CSTAR",0.)
   found=phyetat0_get(1,wake_pe,"WAKE_PE","WAKE_PE",0.)
Index: LMDZ5/branches/testing/libf/phylmd/phyredem.F90
===================================================================
--- LMDZ5/branches/testing/libf/phylmd/phyredem.F90	(revision 2595)
+++ LMDZ5/branches/testing/libf/phylmd/phyredem.F90	(revision 2641)
@@ -18,5 +18,6 @@
                                 v_ancien, clwcon, rnebcon, ratqs, pbl_tke,   &
                                 wake_delta_pbl_tke, zmax0, f0, sig1, w01,    &
-                                wake_deltat, wake_deltaq, wake_s, wake_cstar,&
+                                wake_deltat, wake_deltaq, wake_s, wake_dens, &
+                                wake_cstar,                                  &
                                 wake_pe, wake_fip, fm_therm, entr_therm,     &
                                 detr_therm, Ale_bl, Ale_bl_trig, Alp_bl,     &
@@ -259,5 +260,7 @@
   CALL put_field("WAKE_DELTAQ", "WAKE_DELTAQ", wake_deltaq)
 
-  CALL put_field("WAKE_S", "WAKE_S", wake_s)
+  CALL put_field("WAKE_S", "Wake frac. area", wake_s)
+
+  CALL put_field("WAKE_DENS", "Wake num. /unit area", wake_dens)
 
   CALL put_field("WAKE_CSTAR", "WAKE_CSTAR", wake_cstar)
